#ifndef STEPREADER_H
#define STEPREADER_H

#endif // STEPREADER_H

#include "../SensorReaderStep.h"

class StepReader {
public:
    static StepObservation* readStep(const SensorEntryStep& se) {

        std::string tmp = se.data;
        StepObservation* obs = new TurnObservation();

        while(!tmp.empty()) {
            std::string angle = tmp;

            StepObservation t(std::stof(angle));
        }

        return obs;
    }


};
